# Copyright (c) 2007 oc2pus <toni@links2linux.de>
# Copyright (c) 2007 Hans de Goede <j.w.r.degoede@hhs.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to us at the above email addresses

Name:           TnL
Version:        071111
Release:        4%{?dist}
Summary:        Thunder & Lightning - A futuristic action flight simulator game
Group:          Amusements/Games
License:        GPL+
URL:            http://tnlgame.net
Source0:        http://tnlgame.net/downloads/tnl/%{version}/%{name}-source-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch0:         TnL-070909-system-boost.patch
Patch1:         TnL-070909-crash-on-exit.patch
Patch2:         TnL-source-071111-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freealut-devel glew-devel libpng-devel libsigc++-devel
BuildRequires:  SDL-devel Io-language-devel boost-devel cegui-devel
BuildRequires:  desktop-file-utils
Requires:       %{name}-data = %{version}, opengl-games-utils

%description
Thunder&Lightning is a futuristic action flight simulator game
that takes place in a large 3D environment. Jump into the pilot
seat of your Lightning aircraft and fight against Thunder tanks
in a fierce battle for control of the island!

In the long run, Thunder&Lightning will incorporate features from
the 80's classics Carrier Command and Midwinter. There will be
multiple Islands to conquer, each with its own defense strategy.

Thunder&Lightning will not be mission oriented, but there will be
scripted events for each island.


%prep
%setup -q -n %{name}-source-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# we want to use the system version of boost
rm -r src/boost
# stop autoxxx from rerunning because of our patches above
touch aclocal.m4
touch configure config.h.in `find -name Makefile.in`


%build
%configure --with-io-cflags=-I/usr/include/io --with-io-libs=-liovmall \
   --enable-release
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# tnl installs a useless and ugly wrapper, all we need is the binary, so DIY
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 src/tnl-bin $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}*
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 071111-4
- Autorebuild for GCC 4.3

* Tue Jan 22 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 071111-3
- Rebuild for new glew

* Sat Jan 12 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 071111-2
- Fix compilation with gcc 4.3

* Sun Nov 11 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 071111-1
- New upstream release 071111

* Wed Oct  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 070909-2
- Use %{name} everywhere for consistency
- Add missing boost-devel BuildRequires
- Exit gracefully when the game cannot open the soundcard
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Thu Sep 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 070909-1
- Adapted Packman spec file for Fedora

* Mon Aug 27 2007 Toni Graffy <toni@links2linux.de> 20070827-0.pm.1
- update to 20070827
- added fontoplus, glf2jft and texgen2 to tools

* Tue Jul 10 2007 Toni Graffy <toni@links2linux.de> 20070710-0.pm.1
- update to 20070710
- added TnL-tools

* Sun May 27 2007 Toni Graffy <toni@links2linux.de> 20070527-0.pm.2
- initial package 20070526
